#!/bin/bash

get_version_release_candidate

call_extension "before_release"

create_release_branch

call_extension "before_change_changelog"

update_changelog_version

call_extension "after_change_changelog"

change_version

git commit -a -m "[CI] Criando versão $VERSION" -m "[auto release]"

git checkout develop

sed -i 's/{version}/'"$VERSION"'/' CHANGELOG.md

commit_changelog_template

push_branch_changes

echo "[CI] Pushing branchs"
git push --all

exit
