# 5.8.0
[14/03/2022]

### Correções
* Corrigindo path do arquivo de validação das issues.

# 5.7.0
[14/03/2022]

### Novas funcionalidades
* [DEVOPS-12470](https://jira.senior.com.br/browse/DEVOPS-12470) - Bloqueio de pipeline em projetos sem tags.

# 5.6.1
[09/03/2022]

### Correções
* Corrigindo import do módulo de extensões.

# 5.6.0
[01/03/2022]

### Novas funcionalidades
* [ERPATR-1347](https://jira.senior.com.br/browse/ERPATR-1347) - Adicionando suporte aos flavors quando realizando build no Flutter.
* [HCMAPP-215](https://jira.senior.com.br/browse/HCMAPP-215) - Adicionado suporte a bibliotecas em Flutter.

### Melhorias
* [ERPATR-1347](https://jira.senior.com.br/browse/ERPATR-1347) - Agora o script de build dos aplicativos Flutter não é mais responsável pelas variáveis de assinatura do AppBundle, nem precisa mais utilizar o `dart-defines`.

# 5.5.0
[17/02/2022]

### Novas funcionalidades
* [DEVOPS-12422](https://jira.senior.com.br/browse/DEVOPS-12422) - Criado builder de getops para criação de scripts em python.

### Melhorias
* [DEVOPS-12422](https://jira.senior.com.br/browse/DEVOPS-12422) - Adicionando link do changelog na descrição da issue.

# 5.4.3
[10/02/2022]

### Correções
* [SRE-10727](https://jira.senior.com.br/browse/SRE-10727) - Ajuste nas tags de frontend para a criação de issues.

# 5.4.2
[28/01/2022]

### Correções
* [DEVOPS-12412](https://jira.senior.com.br/browse/DEVOPS-12412) - Ajustando leitura de issues do changelog.

# 5.4.1
[27/01/2022]

### Correções
* [DEVOPS-12397](https://jira.senior.com.br/browse/DEVOPS-12397) - Changelog errado após liberar release.

# 5.4.0
[24/01/2022]

### Correções
* Teste no ci

# 5.3.0
[20/01/2022]

### Novas funcionalidades
* [DEVOPS-11947](https://jira.senior.com.br/browse/DEVOPS-11947) - Adicionando mecanismo de bloqueio de primitivas deprecadas.

### Melhorias
* [DEVOPS-12340](https://jira.senior.com.br/browse/DEVOPS-12340) - Trocando token de download de scripts de tradução.

# 5.2.0
[13/12/2021]

### Novas funcionalidades
* [HCMAPP-138](https://jira.senior.com.br/browse/HCMAPP-138) - Adicionando assinatura de APK em build android.
* [DEVOPS-12239](https://jira.senior.com.br/browse/DEVOPS-12239) - Adicionando scanner do sonar no fluxo do flutter.

# 5.1.1
[01/12/2021]

### Correções
* [HCMAPP-123](https://jira.senior.com.br/browse/HCMAPP-123) - Corrigindo verificação de saída de comandos da esteira de Flutter.

# 5.1.0
[29/11/2021]

### Melhorias
* [DEVOPS-12334](https://jira.senior.com.br/browse/DEVOPS-12334) - Replicando criação e configuração de repos ecr em multiplas regiões.

### Correções
* [DEVOPS-12318](https://jira.senior.com.br/browse/DEVOPS-12318) - Corrigindo get_version do helm.

# 5.0.0
[29/11/2021]

### Novas funcionalidades
* [DEVOPS-12318](https://jira.senior.com.br/browse/DEVOPS-12318) - Adicionando scripts para publicação de artefatos helm no nexus.
* [DEVOPS-12108](https://jira.senior.com.br/browse/DEVOPS-12108) - Deprecado o `.gitlab-ci.yml` dos projetos SDL.

# 4.10.0
[23/11/2021]

### Melhorias
* Adicionar tags nos repositórios ecr criados.

# 4.9.1
[22/11/2021]

### Correções
* Corrigindo forma de pular validação de issues.

# 4.9.0
[21/11/2021]

### Melhorias
* Adicionando forma de pular validação de issues.

# 4.8.1
[05/11/2021]

### Melhorias
* [DEVOPS-12218](https://jira.senior.com.br/browse/DEVOPS-12218) - Adicionando policy de pull para repositórios ecr.

# 4.8.0
[01/11/2021]

### Novas funcionalidades
* [DEVOPS-12218](https://jira.senior.com.br/browse/DEVOPS-12218) - Possibilitar push de imagens docker no ecr.

# 4.7.0
[21/10/2021]

### Melhorias
* [DEVOPS-12153](https://jira.senior.com.br/browse/DEVOPS-12153) - Enviando SHA do commit ao pegar status para comentar caso haja issues.

# 4.6.2
[20/10/2021]

### Melhorias
* Removendo analisador de dependências deprecado.

# 4.6.1
[13/10/2021]

### Correções
* [DEVOPS-11899](https://jira.senior.com.br/browse/DEVOPS-11899) - Ajustado associação a um menu ao implantar um frontend.

# 4.6.0
[07/10/2021]

### Novas funcionalidades
* [DEVOPS-12060](https://jira.senior.com.br/browse/DEVOPS-12060) - Criando script de validação de issues customizadas por job.

# 4.5.5
[06/10/2021]

### Correções
* Adicionando criação de repositório docker na publicação de artefatos para backend não sdl.

# 4.5.4
[16/09/2021]

### Correções
* [HCMAPP-16](https://jira.senior.com.br/browse/HCMAPP-16) - Correção na chamada do `flutter clean` para usar o FVM.

# 4.5.3
[15/09/2021]

### Correções
* [DEVOPS-12126](https://jira.senior.com.br/browse/DEVOPS-12126) - Mudando parametro de curl por compatibilidade.

# 4.5.2
[15/09/2021]

### Correções
* [DEVOPS-12126](https://jira.senior.com.br/browse/DEVOPS-12126) - Corrigindo fluxo de criação de repositório para quebrar o job ao ocorrer qualquer erro.

# 4.5.1
[13/09/2021]

### Melhorias
* [HCMAPP-16](https://jira.senior.com.br/browse/HCMAPP-16) - Melhoria para executar o analyze e tests em jobs separadas do build.

# 4.5.0
[23/08/2021]

### Novas funcionalidades
* [TECWKF-6836](https://jira.senior.com.br/browse/TECWKF-6836) - Criados scripts para suportar desenvolvimento mobile (Flutter).

### Melhorias
* [DEVOPS-12006](https://jira.senior.com.br/browse/DEVOPS-12006) - Começando migração dos scripts para python.

# 4.4.0
[06/08/2021]

### Melhorias
* [SRE-9027](https://jira.senior.com.br/browse/SRE-9027) - Ajustes no CI do frontend para permitir fazer upload de assets para o CDN. Para utilizar este recurso, basta informar a variável de projeto **DEPLOY_CDN** com o valor true.
  * Novas variáveis de projeto:
	* **DEPLOY_CDN**: Se o valor for true, fará o upload dos assets para o CDN.
  * As seguintes variáveis de projeto serão configuradas globalmente e serão obrigatórias se o valor de **DEPLOY_CDN** for true:
	* **CLOUFRONT_BUCKET**: Bucket do S3 que armazenará os assets.
	* **CLOUDFRONT_URL**: URL do CDN necessária para buildar o projeto e alterar as referências.
	* **CLOUFRONT_DISTRIBUTION_ID**: ID da distribuição do cloudfront.
	* **CLOUDFRONT_ACCESS_KEY_ID**: Chave de acesso do S3.
	* **CLOUDFRONT_SECRET_ACCESS_KEY**: Segredo de acesso do S3.

# 4.3.4
[19/07/2021]

### Correções
* Dar erro no deploy para frontends não implantados.

# 4.3.3
[13/05/2021]

### Correções
* [DEVOPS-11898](https://jira.senior.com.br/browse/DEVOPS-11898) - Ajustando script de deploy para ignorar a parte de implantação neste momento.

# 4.3.2
[30/04/2021]

### Correções
* [DEVOPS-11819](https://jira.senior.com.br/browse/DEVOPS-11819) - Corrigindo interpretação de * no Release Translation.

# 4.3.1
[16/04/2021]

### Melhorias
* [DEVOPS-11814](https://jira.senior.com.br/browse/DEVOPS-11814) - Adaptando get da versão no processo de release candidate para projetos não sdl.

# 4.3.0
[07/04/2021]

### Novas funcionalidades
* Agora é possível dar skip na análise do SonarQube em projetos de frontend com o uso da variável de ambiente `SKIP_SONAR_SCANNER` com o valor `true`. Recurso criado como forma de contorno a um Stack Overflow que estava ocorrendo na execução do `sonar-scanner` em projetos AngularJS com características específicas ainda não identificadas. Esse recurso deve ser temporário e descontinuado em versões futuras quando for resolvido o cenário do Stack Overflow no `sonar-scanner`.

# 4.2.15
[19/03/2021]

# 4.2.14
[04/03/2021]

### Correções
* Corrigindo condicional na hora de decidir se é multi-stage ou não o build do docker.

# 4.2.13
[02/03/2021]

### Melhorias
* Tornando possível selecionar um target para o build em imagens docker multi-stages

# 4.2.12
[04/02/2021]

### Correções
* [DEVOPS-11623](https://jira.senior.com.br/browse/DEVOPS-11623) - Adicionando nova condição para atualizar as variáveis do CI no gitlab.

# 4.2.11
[28/01/2021]

### Melhorias
* [DEVOPS-11554](https://jira.senior.com.br/browse/DEVOPS-11554) - Passamos a executar `mvn clean test verify` no build de bibliotecas Java. Caso ocorra algum problema com o `verify`, basta adicionar nas configurações do projeto a variável `SKIP_VERIFY_ON_BUILD` com o valor `true` que o script passa a executar apenas `mvn clean test`


# 4.2.10
[21/12/2020]

### Melhorias
* Realizando o trim ao pegar o nome do app do sdl.properties.

# 4.2.9
[15/12/2020]

### Correções
* Corrigindo path da pasta de cache do backend sdl.

# 4.2.8
[14/12/2020]

### Correções
* Corrigindo nomenclatura de variável.

# 4.2.7
[14/12/2020]

### Melhorias
* Melhorando métodos de cache no S3.
* [DEVOPS-11500](https://jira.senior.com.br/browse/DEVOPS-11500) - Alterando forma de capturar o bloco do changelog no script de release notification.
### Correções
* Ajustando chamada graphql do `updateVersionVars`.

# 4.2.6
[07/12/2020]

### Correções
* Removendo formatação desnecessária (\\n,\\r,\\t, etc) na hora de pegar o nome dos serviços.

# 4.2.5
[01/12/2020]

### Quebras de compatibilidade
* [DEVOPS-1131] Atualização de variáveis de grupo do GitLab passa a ser feita através de endpoints GraphQL.

# 4.2.4
[26/11/2020]

### Melhorias
* Fazendo o disparo de notificações acontecer depois dos hooks de customizações para ficar mais flexível.

# 4.2.3
[26/11/2020]

### Melhorias
*  Adicionado login no Repositório Docker para o step de build no script de Bibliotecas.

# 4.2.2
[25/11/2020]

### Melhorias
* Agora o build de bibliotecas java é executado utilizando `mvn clean install...` e não mais `mvn clean test`. Com o `mvn clean install` percebemos que o relatório `jacoco.xml` passou a ser gerado em projetos onde ele antes não era gerado.

# 4.2.1
[23/11/2020]

### Melhorias
* Melhorando o fluxo de CI para docker puro.

### Correções
* Adicionando import do release notification ao fechar a branch utilizando o release candidate.

# 4.2.0
[19/11/2020]

### Novas funcionalidades
* [DEVOPS-11461](https://jira.senior.com.br/browse/DEVOPS-11461) - Adicionando deploy na leaf para serviços da arquitetura pelo rancher.

# 4.1.0
[16/11/2020]

### Novas funcionalidades
* [DEVOPS-11366](https://jira.senior.com.br/browse/DEVOPS-11366/) - Adicionado criação automática do repositório no Dockerhub para projetos sdl.

# 4.0.4
[13/11/2020]

### Melhorias
* [DEVOPS-11457](https://jira.senior.com.br/browse/DEVOPS-11457) - Adicionando nome do repositório e link no release notification.

# 4.0.3
[13/11/2020]

### Correções
* Flexibilizando namespace ao realizar deploy na beta/homologx.

# 4.0.2
[13/11/2020]

### Correções
* Quando a variável `NO_FRONTEND` for informada passa a ignorar a geração de cache.

# 4.0.1
[10/11/2020]

### Correções
* Adicionando release notification nos processos de release que faltaram.

# 4.0.0
[10/11/2020]

### Quebras de compatibilidade
* [DEVOPS-11368](https://jira.senior.com.br/browse/DEVOPS-11368) - Deprecando scripts antigos do CI.
* Movendo script de validação de changelog para uma pasta adequada.

### Melhorias
* Adequando nome dos helpers ao padrão.
* [DEVOPS-11433](https://jira.senior.com.br/browse/DEVOPS-11433) - Arrumando condições para não logar o warning 'too many args'.
* Removendo output da execução dos hooks.

### Correções
* Adicionando mensagem que antes não criava.

# 3.37.5
[04/11/2020]

### Correções
* [DEVOPS-11371](https://jira.senior.com.br/browse/DEVOPS-11371) - Corrigida a criação de tag de release para chamar as extensões before_change_changelog e after_change_changelog ao remover informações vazias do changelog.

# 3.37.4
[04/11/2020]

### Melhorias
* Adicionando novos blocos de changelog conforme padrão [arquitetura](https://git.senior.com.br/arquitetura/platform/-/wikis/Plataforma-Versionamento-Semântico#changelog)

### Correções
* Ajustando nova de variável do hook de mensagens.

# 3.37.3
[03/11/2020]

### Correção de bug

* Realizando login no script de deploy em docker.

# 3.37.2
[03/11/2020]

### Correção de bug

* Removendo rotina deprecada que mostra as informações do cluster.

# 3.37.1
[03/11/2020]

### Correção de bug

* Removendo métodos de validação do repositor docker.

# 3.37.0
[03/11/2020]

### Quebras de compatibilidade

* Refatorando common functions de release.

### Novas funcionalidades

* [#DEVOPS-11158] - Criando script de publicação de releases.
* [#DEVOPS-11157] - Adicionando template nas alterações quando o release ocorre.
* [#DEVOPS-11315] - Adicionado verificação referente ao novo repositório seniorsa.

# 3.36.3
[28/10/2020]

### Correção de bug

* Ajustando script de deploy na beta e homologx para adequar a migração para a nova organização do dockerhub.

# 3.36.2
[27/10/2020]

### Correção de bug

* [#DEVOPS-11355] - Ajustando release snapshot do ci das bibliotecas java.

# 3.36.1
[27/10/2020]

### Correção de bug

* Ajustando script de deploy para adequar a migração para a nova organização do dockerhub.

# 3.36.0
[21/10/2020]

### Novas funcionalidades

* [#DEVOPS-11318] - Executando docker login antes de gerar a imagem Docker pelo maven.

# 3.35.0
[19/10/2020]

### Novas funcionalidades

* [#DEVOPS-11311] - Melhorando deploys nos ambientes homologx e beta para pegar a referencia da branch/tag.

# 3.34.1
[19/10/2020]

### Correção de bug

* Ajuste no processo de analise de segurança da imagem para que o mesmo leve em consideração o repositório alternativo seniorsa.

# 3.34.0
[16/10/2020]

### Novas funcionalidades

* [#DEVOPS-11267] - Adicionando fluxo de deploy para os ambientes beta e homologx.

# 3.33.0
[15/10/2020]

### Novas funcionalidades

* [#DEVOPS-10705] - Adicionando lint no build de frontend.

# 3.32.0
[15/10/2020]

### Novas funcionalidades

* [#DEVOPS-11294] - Criando fluxo de sonar agnóstico.

# 3.31.2
[29/09/2020]

### Correção de bug

* [#DEVOPS-11240] - Alterando url do gitlab para https.

# 3.31.1
[18/09/2020]

### Correção de bug

* Removendo aspas do valor default do release-translations

# 3.31.0
[16/09/2020]

### Novas funcionalidades

* Removendo informações vazias (N/A) do changelog ao fechar os branchs.
* [#DEVOPS-10716] - Permitindo utilizar um diretório customizado para as traduções.

# 3.30.3
[16/09/2020]

### Correção de bug

* [#DEVOPS-11176] - Corrigindo get da versão no release snapshot para ser após o custom hook `before_release_snapshot`.

# 3.30.2
[26/08/2020]

### Correção de bug

* Ajustando o nome da função commit_changelog para commit_changelog_template.

# 3.30.1
[21/08/2020]

### Ajustes

* [DEVOPS-11147](http://jira.senior.com.br/browse/DEVOPS-11147) - Ajustado script que altera versão nos projetos plugins do eclype usando tycho para explicitar versão 1.7.


# 3.30.0
[20/08/2020]

### Novas Funcionalidades

* [#HCMGRS-6714] - Adicionando script para validar a adição de changelog.

### Correção de bug

* Melhorando o processo de release candidate.

# 3.29.0
[14/08/2020]

### Novas funcionalidades

* Nova variável para desativar build padrão de front-ends (`NO_BUILD`). Customize o comando de build utilizando os hooks via `senior-ci-extensions.sh`.

# 3.28.12
[10/07/2020]

### Correção de bug

* Ajustado a variavel de versão do tryve.

# 3.28.11
[08/07/2020]

### Correção de bug

* Ajuste na variavel teams do frontend.

# 3.28.10
[07/07/2020]

### Correção de bug

* Ajustes na chamada curl para o Teams do senior-ci.

# 3.28.9
[03/07/2020]

### Correção de bug

* Ajuste na variavel do TEAMS nos scripts de biblioteca.

# 3.28.8
[22/06/2020]

### Correção de bugs

* Ajuste e implementação do feature toggle em runners internos do cache no bucket S3.

# 3.28.7
[05/06/2020]

### Correção de bugs

* Correção das mensagens notificação de deploy no Teams que ainda estavam com crases quebrando o script shell.


# 3.28.6
[04/06/2020]

### Correção de bugs

* Correção das mensagens de deploy de serviços SDL e Frontends.

# 3.28.5
[04/06/2020]

### Correção de bugs

* Ajuste nos parametros aceitos pelos novos scripts `ci.sh` e remoção da publicação de libs frontend para o GitLab Cloud nos novos scripts (nos antigos já não era publicado).

# 3.28.4
[29/05/2020]

### Correção de bugs

* [DEVOPS-10037](http://jira.senior.com.br/browse/DEVOPS-10037) - Correção no cache dos builds de bibliotecas Java e na liberação de releases do tipo `snapshotTimestamp` também de bibliotecas Java.

# 3.28.3
[22/05/2020]

### Correção de bugs

* Ajuste na busca de cache de artefatos no S3.

# 3.28.2
[13/05/2020]

### Correção de bugs

* Análise do Sonar sem o docker build (trocando `mvn install` por `mvn clean test`).


# 3.28.1
[11/05/2020]

### Correção de bugs

* Correções diversas no script de `releaseHotfix`.

# 3.28.0
[05/05/2020]

### Novas Funcionalidades

* [DEVOPS-10419](http://jira.senior.com.br/browse/DEVOPS-10419) Implementação de Caches para compilação em projetos maven.

# 3.27.0
[08/04/2020]

### Novas Funcionalidades
* [DEVOPS-10358](http://jira.senior.com.br/browse/DEVOPS-10358) Script piloto de fluxo de `releaseHotfix` para o ERPX.
* [DEVOPS-10315](http://jira.senior.com.br/browse/DEVOPS-10315) Ajuste do endpoint chamado pelo Senior CI para atualizar as variáveis de versão do CI nos grupos.
* Criada variável `SKIP_IMAGE_SCAN` que permite pular a análise do Trivy em projetos problemáticos. Basta setar a variável `SKIP_IMAGE_SCAN` com o valor `true` nas variáveis de CI/CD do projeto que a análise não será executada.

# 3.26.2
[24/03/2020]

# Correção de bugs

# 3.26.1
[24/03/2020]

# Alterado a variavel do nome da imagem para que seja a mesma usada pelo script docker
- variavel a nivel de projeto foi de SCI_IMAGE_NAME para SVC_IMAGE

# 3.26.0
[24/03/2020]

# Novas funcionalidades
- Agora o nome da imagem que é usada para fazer a analise de segurança pode ser setada nas variaveis do projeto, nome da variavel: SCI_IMAGE_NAME

# 3.25.0
[23/03/2020]

# Implementação dos novos scripts Front End e correção de bug
- [DEVOPS-10030](http://jira.senior.com.br/browse/DEVOPS-10030) Implementação do cache de frontend no Bucket S3.
- Bug na analise de segurança corrigido

# 3.24.2
[19/03/2020]

# Correção de bugs
- Corrigido a analise de segurança de imagens
- Corrigido Teams Hook dos script novos

# 3.24.1
[09/03/2020]

### Novas funcionalidades
- Desfazendo alteração da url do sonar.


# 3.24.0
[06/03/2020]

### Novas funcionalidades
- Alteração da url do sonar.

# 3.23.1
[05/03/2020]

### Novas Funcionalidades
* [DEVOPS-9872](http://jira.senior.com.br/browse/DEVOPS-9872) Melhorias no deploy em docker:
	- Possibilidade de fornecer nome especifico para a instancia docker utilizando a variável "SVC_NAME";
	- Possibilidade de fornecer variáveis de ambiente para a instancia utilizando a variável "SVC_ENVIRONMENT";
	- Possibilidade de fornecer timezone para a instancia utilizando a variável "SVC_TIMEZONE";

# 3.23.0
[02/03/2020]

### Merge request
* [DEVOPS-10121] (http://jira.senior.com.br/browse/DEVOPS-10121) Implementação externa

# 3.22.1
[12/02/2020]

### Correções
* [DEVOPS-10055] (http://jira.senior.com.br/browse/DEVOPS-10055) Ajustes scripts do G5


# 3.22.0
[07/02/2020]

### Novas Funcionalidades
* [DEVOPS-9980] (http://jira.senior.com.br/browse/DEVOPS-9980) Adicionado a possibilidade de utilizar shallow repositories nos passos de release oficial.


# 3.21.0
[30/01/2020]

### Novas Funcionalidades
 * [DEVOPS-9885](http://jira.senior.com.br/browse/DEVOPS-9885) Aprimorado o processo de publicação dos artefatos de a modo a ficar mais resilient, ectiando a publicação incompleta dos artefatos de projetos com multiplos módulos.


# 3.20.1
[28/01/2020]

### Correções
* Corrigidos templates de `.gitlab-ci.yml` para a execução automática do `releaseSnapshot` e para usar por padrão o deploy via Docker. O deploy via Docker ficará como padrão temporariamente apenas nessa hotfix.


# 3.20.0
[28/01/2020]

### Novas Funcionalidades
* [DEVOPS-9063](http://jira.senior.com.br/browse/DEVOPS-9063) Liberada funcionalidade de release snapshot com sufixo de timestamp. Motivado por casos de duvida se a imagem `develop-SNAPSHOT` dos serviços realmente havia sido atualizada no Docker Hub.

# 3.19.0
[24/01/2020]

### Correções
* [DEVOPS-9877](http://jira.senior.com.br/browse/DEVOPS-9877) Corrido a mensagem enviada ao ser realizado o deploy de frontend.

### Novas Funcionalidades
* Permitido que os projetos possam realizar as execuções maven sem a flag de paralelismo, basta possuir a variavel de ambiente `NO_PARALLEL`.


# 3.17.4
[23/01/2020]

### Correções
* Corrigido as execuções de release version, estava pegando versão errada.

# 3.17.3
[23/01/2020]

### Correções
* Corrigido o git fetch tags, para que execute antes das release.

# 3.17.2
[21/01/2020]

### Correções
* Definindo no `.gitlab-ci.yml` o `-m` como build default dos projetos SDL do runner de backend (os demais ymls já estavam utilizando o `-m` corretamente)

# 3.17.1
[13/01/2020]

### Correções
* [DEVOPS-9839](http://jira.senior.com.br/browse/DEVOPS-9839) - Corrigido a execução do dependencies frontend analyser.

# 3.17.0
[17/12/2019]

### Novas Funcionalidades
* Adicionado parâmetro `-T 1C` ao comando mvn para permitir o paralelismo na execução dos jobs.

# 3.13.0
[04/12/2019]

### Novas Funcionalidades
* [DEVOPS-9091](http://jira.senior.com.br/browse/DEVOPS-9091) - Atualizado o endpoint de atualização da lista de frontends a partir da origem (S3). O endpoint anterior foi deprecado (`actions/updateFrontendsListCache`) e foi substituido pelo endpoint `signals/updateFrontends`.

# 3.12.0
[27/11/2019]

### Novas Funcionalidades
* [AG2019-4210](http://jira.senior.com.br/browse/AG2019-4210) - Adicionado configuração para utilização de Web Hook integrado com o Microsoft Teams.

# 3.11.0
[07/11/2019]

### Nova Funcionalidade e correção de fonte
* DEVOPS-8953 - Adicionado feature para fazer relase em dois steps

# 3.10.0
[21/08/2019]

### Novas funcionalidades
* [DEVOPS-6110](http://jira.senior.com.br/browse/DEVOPS-6110) - Script para verificar se há dependências da Senior (Angular components e Primeng Theme) desatualizadas e notificar o usuário via comentário no merge request.

# 3.9.5
[13/08/2019]
* [DEVOPS-8359](http://jira.senior.com.br/browse/DEVOPS-8359) - Alterada a implementação em que os scripts que executam o build e o sonar no mesmo job pulavam os testes com o parâmetro `-DskipTests=true`. O parâmetro foi removido.

# 3.9.4
[31/07/2019]

### Correções
* [DEVOPS-8209](http://jira.senior.com.br/browse/DEVOPS-8209) - Corrigido json de payload da chamada do insertDeploy.

# 3.9.3
[05/07/2019]

### Correções
* Correção do build + sonar (opção `-m`) - ocorria erro de resolução de dependências ao executar o sonar no job de build.


# 3.9.2
[05/07/2019]

### Correções
* [DEVOPS-7564](http://jira.senior.com.br/browse/DEVOPS-7564) - Alteração na forma de pular os testes, de `-Dmaven.test.skip=true` para `-DskipTests=true`.

# 3.9.1
[06/06/2019]

### Correções
* Hooks do `.senior-ci-extensions.sh` agora disponíveis nos scripts de liberação do próprio CI.


# 3.9.0
[04/06/2019]

### Novas funcionalidades
* [DEVOPS-7324](http://jira.senior.com.br/browse/DEVOPS-7324) - Adicionando novamente o suporte ao job de Deploy nos scripts de Bibliotecas Java.


# 3.8.5
[28/05/2019]

### Correções
* [DEVOPS-7246](http://jira.senior.com.br/browse/DEVOPS-7533) - O importTranslate do releaseTranslations.sh estava enviando para o endpoint desatualizado, após a alteração na sdl do translation-hub, foi necessário trocar de actions para signals.

# 3.8.4
[28/05/2019]

### Correções
* [DEVOPS-7246](http://jira.senior.com.br/browse/DEVOPS-7246) - O deploy do frontend via frontend updater estava com os ids de ORIGIN_ID e TARGET_ID fixos. Foi feito uma
alteração para deixar estes ids dinâmicos.

# 3.8.3
[23/05/2019]

### Correções
* [DEVOPS-7212](http://jira.senior.com.br/browse/DEVOPS-7212) - Release translations não funcionava corretamente para ambientes diferentes da pcbnu002050.

# 3.8.2
[03/05/2019]

### Correções
* [DEVOPS-7195](http://jira.senior.com.br/browse/DEVOPS-7195) - Correção na mensagem de notificação de Deploy no Slack para projetos Frontend. No `deploy` era exibida a mesma mensagem do `package` (que é o momento que os artefatos são enviados ao AWS S3). Mensagem alterada para deixar explícito que foi atualizada a versão de um frontend em um ambiente e não que foi publicada uma nova versão no S3.


# 3.8.1
[02/05/2019]

### Correções
* [DEVOPS-7160](http://jira.senior.com.br/browse/DEVOPS-7160) - Correção no Release Translations - passaram a ser considerados apenas os arquivos `*.json`.

# 3.8.0
[02/05/2019]

### Novas Funcionalidades
* [DEVOPS-6995](http://jira.senior.com.br/browse/DEVOPS-6995) - Fusão do `analysisSonarQube` ao `build` com o objetivo de reduzir o tempo de CI em Merge Requests.
* [DEVOPS-7104](http://jira.senior.com.br/browse/DEVOPS-7104) - Publicação da URL do projeto do GitLab para o Sonar.


# 3.7.0
[05/04/2019]

### Novas Funcionalidades
* [DEVOPS-6746](http://jira.senior.com.br/browse/DEVOPS-6746) - Print do nome do node que está executando o job para facilitar manutenções.

# 3.6.2
[03/04/2019]

### Correções
* Ajustado link pois estava indo com crase na url.

# 3.6.1
[03/04/2019]

### Correções
* Ajustado para enviar link que leva diretamente pro changelog da tag liberada.

# 3.6.0
[29/03/2019]

### Novas funcionalidades
* [DEVOPS-5348](http://jira.senior.com.br/browse/DEVOPS-5348) - Publicação do link do changelog no slack

# 3.5.1
[08/03/2019]

### Correções
* Remoção da validação de existencia de imagem no docker hub. Não estava funcionando para tags SNAPSHOT.


# 3.5.0
[08/03/2019]

### Novas Funcionalidades
* Suporte a deploy de serviços em hosts remotos utilizando Docker puro (sem Kubernetes).

# 3.4.2
[07/03/2019]

### Correções
* Correção do erro de conflitos de merge para a master gerado em algumas releases.

# 3.4.1
[19/02/2019]

### Correções
* [DEVOPS-5761](http://jira.senior.com.br/browse/DEVOPS-5761) - Realizada a alteração no momento de enviar informações para o SonarQube, assim não precisando mais utilizar o sufixo SNAPSHOT pois ele irá apenas rodar em cima de TAGS, ficando mais fácil a visualização do histórico no Sonar.

# 3.4.0
[13/02/2019]

### Novas Funcionalidades
* [DEVOPS-5661](http://jira.senior.com.br/browse/DEVOPS-5661) - Suporte à análise SDL no Sonar. Introduzida a variável de ambiente `SCI_ENABLE_SONAR_SDL` que deve ter o valor `true` para habilitar a análise SDL.

### Correções
* Correção do erro `senior-ci/frontend/npm/bibliotecas/scripts/ci.sh: line 44: syntax error near unexpected token 'fi'` no build de Bibliotecas Javascript.


# 3.3.1
[30/01/2019]

### Correções
* [DEVOPS-5513](http://jira.senior.com.br/browse/DEVOPS-5513) - Ajuste no comando pré-Sonar. Para que os jars sejam instalados antes de rodar o Sonar com cobertura de testes.


# 3.3.0
[25/01/2019]

### Novas Funcionalidades
* [DEVOPS-4998](http://jira.senior.com.br/browse/DEVOPS-4998) - Melhorias nos logs dos processos.


# 3.2.0
[22/01/2019]

### Novas Funcionalidades
* [DEVOPS-4958](http://jira.senior.com.br/browse/DEVOPS-4958) - Suporte a release de projetos que ainda não possuem tags criadas.

# 3.1.0
[13/12/2018]

### Novas Funcionalidades
* Criação de modelos de `.gitlab-ci.yml` de sdl e bibliotecas java para o novo runner OpenJDK 11.


# 3.0.0
[12/11/2018]

### Quebras de compatibilidade
* [DEVOPS-4263](http://jira.senior.com.br/browse/DEVOPS-4263) - Separação das configurações do Kubernetes em um repositório a parte para melhorias de organização e versionamento do projeto.

# 2.12.1
[09/11/2018]

### Correções
* [DEVOPS-3860](http://jira.senior.com.br/browse/DEVOPS-3860) - Corrigido o script do release translations para que seja parametrizável por tenants, sendo necessário as variáveis de TENANT, TRANSLATIONS_USER e TRANSLATIONS_PASS no projeto. Assim as traduções não são mais buscadas na base compartilhada e sim na base do tenant especificado.

# 2.12.0
[26/10/2018]

### Novas Funcionalidades
* Adicionado suporte à variável `SCI_TEST_ON_SEND_SONAR` nos scripts de **java/sdl** e **java/bibliotecas**, que quando definida como `true` no GitLab executa os testes unitários antes de enviar as informações para o Sonar, possibilitando o controle de cobertura de código.
* Impressão no log do valor de algumas variáveis nos scripts de **java/sdl**, **java/bibliotecas**, **frontend/npm** e **frontend/npm/bibliotecas**, para auxiliar na depuração do script.

# 2.11.1
[24/10/2018]

### Correções
* Ajuste na versão da imagem do runner de frontend.

# 2.11.0
[24/10/2018]

### Novas Funcionalidades
* Adicionado o parâmetro `$SKIP_NPM_INSTALL` nos Runners de Frontend.

# 2.10.0
[23/10/2018]

### Novas Funcionalidades
* [DEVOPS-2911](http://jira.senior.com.br/browse/DEVOPS-2911) - Docker disponível nos Runners de Frontend para geração e publicação de imagens.

# 2.9.7
[16/10/2018]

### Correções
* [DEVOPS-3827](http://jira.senior.com.br/browse/DEVOPS-3827) - Forçar a publicação de tags para o GitLab Cloud.

# 2.9.6
[02/10/2018]

### Correções
* [DEVOPS-3413](http://jira.senior.com.br/browse/DEVOPS-3413) - Sempre publicar o arquivo do idioma padrão (pt-BR.json) no Release Translations de Frontend.

# 2.9.5
[14/09/2018]

### Correções
* Correções no Release Translations - push deixa de levar os branches release/translations-xxxxxxx


# 2.9.4
[14/09/2018]

### Correções
* Correções no Release Translations - implementado o merge das alterações em arquivos de tradução para o branch develop e adicionadas novas mensagens de log do processo.


# 2.9.3
[13/09/2018]

### Correções
* Correções no Release Translations

# 2.9.2
[04/09/2018]

### Correções
* Ajuste no Package de sdl CIfriendly para que seja removido o prefixo `v` da tag.


# 2.9.1
[31/08/2018]

### Correções
* [DEVOPS-3302](http://jira.senior.com.br/browse/DEVOPS-3302) - Ajuste no Package de bibliotecas para que seja removido o prefixo `v`.

# 2.9.0
[31/07/2018]

### Correções
* Ajuste no Deploy de bibliotecas para que seja removido o prefixo `v`.


# 2.8.0
[02/07/2018]

### Novas Funcionalidades
* Release Translations.

# 2.7.0
[05/06/2018]

### Novas Funcionalidades
* Automação do processo de Git Flow para o repositório `senior-ci`.

# 2.6.3
[27/06/2018]

### Novas Funcionalidades
* Adicionado validação para tag's em liberação de release.
* Adicionado validação de URL de deploy do frontend.

### Correções
* Ajustado Usuario e senha do config do runner frontend do kubernetes para utilizar o usuario e senha do gitlabci na plataforma para update e install do frontend updater.

# 2.6.2
[29/05/2018]

### Correções
* Ajuste do Dockerfile filab-ci-runner-frontend, adicionado lib de geração de uuid.
* Ajuste da imagem yml de configuração do kubernetes para imagem 1.9.2 do runner de frontend.

# 2.6.1
[28/05/2018]

### Correções
* Ajuste do Dockerfile na varivel de patch do puppeteer.
* Ajuste da imagem yml de configuração do kubernetes para imagem 1.9.1 do runner de frontend.

# 2.6.0
[25/05/2018]

### Novas Funcionalidades
* Suporte às análises do SonarQube em projetos frontend.

# 2.5.1
[25/05/2018]

### Correções
* Ajustado para que ao fazer deploy do frontend seja setado corretamente o `ORIGIN_ID` e o `ORIGIN_ID`.

# 2.5.0
[17/05/2018]

### Correções
* Ajustado para não executar os testes durante o job `sendInfoSonarQube`.

### Novas Funcionalidades
* Alterado para que antes de executar o `set_version` seja executado `generate-sources`, com isso ao alterar a versão no sdl.properties e é alterada a versão do serviço executando o `mvn versions:set`. Sendo assim deta forma todos os projetos tem suas versões alteradas, mesmo os que não são gerenciados pela SDL.

# 2.4.0
[16/05/2018]

### Novas Funcionalidades
* Adicionado a possibilidade de definir as variaveis __TARGET_ID__ e __ORIGIN_ID__ para deploy no frontend updater.

# 2.3.2
[16/05/2018]

### Correções
* Ajustado para que quando for instalado o frontend o mesmo envie corretamente o __TARGET_ID__

# 2.3.1
[16/05/2018]

### Correções
* Correção para que a versão enviada para publicação no kubernetes seja a mesma que a do docker gerado.
* Correção para que a versão da biblioteca em liberação apareça na mensagem eviada ao slack

# 2.3.0
[10/05/2018]

### Novas Funcionalidades
* Adicionado SLACK-HOOK nos JOB'S de Deploy e Package para projetos npm, sdl, e bibliotecas.

# 2.2.2
[10/05/2018]

*[SUST-763](http://jira.senior.com.br/browse/TECWKF-763) - Ajustado processo de envio de fontes ao gitlab.com
*[SUST-763](http://jira.senior.com.br/browse/TECWKF-763) - Ajustado processo de envio de fontes ao gitlab.com
