#!/bin/bash

set -e # Exit at first error


if [ -z "$HUB_USER" ]; then
    HUB_USER="seniorsa"
fi

# Import docker helpers
. senior-ci/common/docker-helpers.sh

. senior-ci/docker/build.sh

docker_login

docker tag $HUB_USER/$SVC_IMAGE $HUB_USER/$SVC_IMAGE:$VERSION

create_hub_repo

echo "[CI] fazendo push da imagem $HUB_USER/$SVC_IMAGE e versão $VERSION para o docker hub"
docker push $HUB_USER/$SVC_IMAGE:$VERSION
